Extending Qt Creator Manual | IDeviceWidget

Extending Qt Creator Manual 4.5.2

# IDeviceWidget Class

(ProjectExplorer::IDeviceWidget)

- List of all members, including inherited members

## Public Functions

virtual void | updateDeviceFromUi() = 0

## Protected Functions

| IDeviceWidget(const IDevice::Ptr &device, QWidget *parent = 0)
IDevice::Ptr | device() const

## Member Function Documentation

### `[protected]` IDeviceWidget::IDeviceWidget(const IDevice::Ptr &device, QWidget *parent = 0)

Default constructs an instance of IDeviceWidget.

### `[protected]` IDevice::Ptr IDeviceWidget::device() const

### `[pure virtual]` void IDeviceWidget::updateDeviceFromUi()